<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.stm.compliane.info.mapper.StComplianeInfoMapper">

    <select id="queryAllStComplianeItems" resultType="java.util.Map">
        SELECT A.id as itemid,A.COMPLIANE_ITEM as item,A.COMPLIANE_ASK as ask,B.file_name AS fileName,B.compliane_class as complianeClass
        FROM  st_compliane_item A
        INNER JOIN st_compliane_info B ON A.COMPLIANE_NO=B.COMPLIANE_NO
        where B.COMPLIANE_CLASS in (1,2,3,4)
        order by  B.id
    </select>

</mapper>